

/* dcf77.h
 * decoding of the dcf77-stream
 *
 * by: Clemens Helfmeier
 * This code converts the bitstream from the DCF77-sender into a standard
 * Timestamp
 */

#ifndef _DCF77_H_
#define _DCF77_H_

#include <stdint.h>

/* Timestamp definition */
typedef struct {
	uint16_t year;
	uint8_t month;
	uint8_t day;
	uint8_t hour;
	uint8_t minute;
	uint8_t second;
} sTimeStamp, *pTimeStamp;

extern uint8_t dcf77_getTime( pTimeStamp ts );

extern void dcf77_putBit( uint8_t bit );

extern void dcf77_putSync( void );

void dcf77_timer( void );

#endif
